                                                                                                                                                                                                                                                           #include "hardware.h"
#include "sensors.h"
#include "config.h"
#include "wifi.h"
#include "webserver.h"
#include "string.h"


struct CONFIG  config;


void setup() {

  pinMode(RELAY, OUTPUT);
  pinMode(LED_ANT, OUTPUT);
  pinMode(RED_LED, OUTPUT);
  pinMode(GREEN_LED, OUTPUT);
  pinMode(BLUE_LED, OUTPUT);
  digitalWrite(RELAY, 0);
  digitalWrite(LED_ANT, 1);
  digitalWrite(RED_LED, 0);
  digitalWrite(GREEN_LED, 0);
  digitalWrite(BLUE_LED, 0);

  Serial.begin(115200);

  config.sensorsPeriod = 2000 ;
  // mettre provisoirement les identifiants
  // de votre point d'accès WiFi
  strncpy(config.ssid, "ssid", 32);
  strncpy(config.passwd, "passwd", 64);

  setup_sensors();
  setup_wifi();
  setup_webserver();
}




void loop() {
  loop_sensors();
  loop_webserver();
  loop_wifi();
}
