/*
 * wifi.cpp
 *
 *  Created on: 4 mai 2019
 *      Author: philippe
 */




#include "wifi.h"
#include "config.h"
extern struct CONFIG config;

void setup_wifi(){
	  WiFi.mode(WIFI_STA);
	  WiFi.begin(config.ssid,config.passwd);


	  Serial.println("");

	  // Wait for connection
	  while (WiFi.status() != WL_CONNECTED) {
	    delay(500);
	    Serial.print(".");
	  }
	  Serial.println("");
	  Serial.print("#Connected to ");
	  Serial.println(WiFi.SSID());
	  Serial.print("#IP address : ");
	  Serial.println(WiFi.localIP());
          Serial.printf("#RSSI :%d\n",WiFi.RSSI());
   
	  if (MDNS.begin("geiiXXYY")) {
	    Serial.println("#MDNS responder started");
	  }


}

void loop_wifi(){
  MDNS.update();
}
